component: HesaiController
proto_imports:
  - vehicle/sensors/lidar/hesai/driver/diagnostics/driver_diagnostics.proto
metric: HesaiControllerMetric
namespace: zoox::lidar::hesai
faults:
  - id: 1
    name: UnknownGetPacketCode
    severity: WARNING
    description: "Unknown return code from input_->getPacket"
    freeze_frame: UnknownGetPacketCodeFreezeFrame
    deprecated: true
  - id: 2
    name: PacketFault
    severity: WARNING
    description: "Error seen when getting lidar packet"
    deprecated: true
  - id: 3
    name: ControllerQueryFault
    severity: WARNING
    description: "Error seen when querying the lidar for status"
    deprecated: true
  - id: 4
    name: LidarSerialNumberMismatch
    severity: WARNING
    description: "Lidar serial number does not match configured serial number"
    freeze_frame: SerialNumberMismatchFreezeFrame
  - id: 5
    name: TimeSyncSettingsFault
    severity: ERROR
    description: "Time sync settings are invalid"
    triggers_nogo: true
  - id: 6
    name: PTPTimeSyncFault
    severity: ERROR
    description: "Lidar is not time synchronized to compute. Check the PCU PTP time sync system"
    freeze_frame: PTPTimeSyncFreezeFrame
    triggers_nogo: true
  - id: 7
    name: GPSTimeSyncFault
    severity: WARNING
    description: "Lidar is not time synchronized to compute. Check the TIBs"
    freeze_frame: GPSTimeSyncFreezeFrame
  - id: 8
    name: NetworkSettingsMismatch
    severity: ERROR
    description: "Lidar network settings do not match expected values"
    freeze_frame: HesaiNetworkSettingsFreezeFrame
    triggers_nogo: true
  - id: 9
    name: VersionMismatch
    severity: ERROR
    description: "Lidar is not running approved firmware"
    freeze_frame: VersionMismatchFreezeFrame
    triggers_nogo: true
  - id: 10
    name: NoWebServerConnection
    severity: WARNING
    description: "Unable to reach lidar web server"
  - id: 11
    name: QueryResponseParseError
    severity: WARNING
    description: "Failed to parse response from lidar web server"
  - id: 12
    name: NoTcpConnection
    severity: ERROR
    description: "Unable to reach lidar via TCP"
    triggers_nogo: false
  - id: 13
    name: TcpDiagnosticParseError
    severity: ERROR
    description: "Failed to parse TCP diagnostics response"
    triggers_nogo: false
  - id: 14
    name: TemperatureOutOfRange
    severity: WARNING
    description: "Lidar temperature out of valid operating range"
    freeze_frame: TemperatureFreezeFrame
    triggers_nogo: false
